------------------------------------------------------------------------
--
-- Tivoli Enterprise Data Warehouse, v 1.1.0
-- (C) Copyright IBM Corp. 2002.  All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
--
--
------------------------------------------------------------------------
--
-- File Information: src/install/sql/delete_data.sql, twh_core, twh_1.1_fp1
--
-- Revision: 1.5
--
-- Date: 5/22/02 18:59:23
------------------------------------------------------------------------

-- reports are deleted by CASCADE on Datamarts

delete from rpi.datamart
  where datamart_id IN
  (select d.datamart_id
   from
     rpi.datamart d,
     rpi.relationship r,
     iwh.starschema s
   where
     r.rel_type='SchemaToDatamart' and
     s.iwhid=r.source_id and
     d.datamart_id=r.target_id and
     ucase(d.datamart_name) like ucase('__AVA__%'))
;

delete from rpi.relationship
  where source_id IN
  (select s.iwhid
   from
     iwh.starschema s
   where
     ucase(s.name) like ucase('__AVA__%'))
;
delete from rpi.relationship
  where target_id IN
  (select s.iwhid
  from
    iwh.starschema s
  where
    ucase(s.name) like ucase('__AVA__%'))
;

delete from rpi.ssupdated
  where id IN
  (select s.iwhid
   from
     iwh.starschema s,
     rpi.ssupdated r
   where
     s.iwhid=r.id and
     ucase(s.name) like ucase('__AVA__%'))
;

delete from rpi.relationship
  where rel_type like 'SchemaTo%'
    and source_id NOT IN
    (select distinct iwhid
     from iwh.starschema)
;

delete from rpi.relationship
  where rel_type like '%ToDatamart'
    and target_id NOT IN
    (select distinct datamart_id
     from rpi.datamart)
;
