------------------------------------------------------------------------
--
-- Tivoli Enterprise Data Warehouse, v 1.1.0
-- (C) Copyright IBM Corp. 2002.  All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
--
--
------------------------------------------------------------------------
--
-- File Information: src/install/sql/list_deletions.sql, twh_core, twh_1.1_fp1
--
-- Revision: 1.6
--
-- Date: 5/22/02 18:58:30
------------------------------------------------------------------------

-- The list of datamarts that are to be deleted.

select
   distinct substr(d.datamart_name,1,45) as "Datamarts to be deleted"
from
   rpi.datamart d,
   rpi.relationship r,
   iwh.starschema s
where
   r.rel_type='SchemaToDatamart' and
   s.iwhid=r.source_id and
   d.datamart_id=r.target_id and
   ucase(d.datamart_name) like ucase('__AVA__%')
order by 1
;

--Star schemas are deleted when the tag file gets removed
select
   substr(s.name,1,45) as "Star Schemas to be Deleted"
from
   iwh.starschema s
where
   UCASE(s.name) like UCASE('__AVA__%')
order by 1
;

-- Reports are deleted by CASCADE on Datamarts
select distinct
   substr(d.datamart_name,1,45) as "Datamart Name",
   substr(rep.report_name,1,45) as "Reports to be Deleted"
from
   rpi.datamart d,
   rpi.relationship r,
   rpi.report rep
where
   r.rel_type='SchemaToDatamart' and
   d.datamart_id=r.target_id and
   ucase(d.datamart_name) like ucase('__AVA__%') and
   d.datamart_id=rep.datamart_id
order by 1,2
;
