------------------------------------------------------------------------
--
-- Tivoli Enterprise Data Warehouse, v 1.1.0 
-- (C) Copyright IBM Corp. 2002.  All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
--
--
------------------------------------------------------------------------
--
-- File Information: src/rpi/schema/twh_rpi_schema_update.sql, twh_rpi, twh_1.1_fp1
--
-- Revision: 1.1
--
-- Date: 5/8/02 11:08:33
------------------------------------------------------------------------
--
-- Update RPI Schema
--
--
drop view rpi.ss_cols
;

create view rpi.ss_cols as
SELECT 
  ss.name as ssname,
  at.largedrschemaname as schema,
  at.largedrtablename as tabname, 
  at.largename as colname,
  dr.dimension_table as dimension_table
FROM 
  IWH.Relationship  r1,
  IWH.StarSchema    ss,
  IWH.DataResource  dr,
  IWH.Relationship  r2,
  IWH.Attribute     at
where 
  r1.source_iwhid = ss.iwhid and
  r1.target_iwhid = dr.iwhid and
  r1.relation_name='StarSchema_TO_DR'and
  r2.source_iwhid = dr.iwhid and
  r2.relation_name='DR_TO_Attr_Rel' and
  r2.target_iwhid = at.iwhid 
;


delete
FROM
  RPI.STRINGS
;

insert into rpi.strings (name, type, text)
SELECT
  jc.ssname as name,
  'Qjoinline' as type,
  jc.ssline as text
FROM
  RPI.SS_JOINLINE jc
WHERE
  jc.ssname in(select name from iwh.starschema)
;

insert into rpi.strings (name, type, text)
SELECT
  c1.ssname,
  'Qdispcol' as type,
  rtrim(c1.schema) concat '.' concat
  rtrim(c1.tabname)  concat '.' concat
  rtrim(c1.colname) as text
FROM
  RPI.ss_cols c1
where
  c1.tabname not like 'D%METRIC' and
  c1.tabname not like 'F%' and
  c1.colname not like 'XQ%' and
  not exists (
  select 1 from RPI.ss_joincols jc
  where
  c1.schema = jc.schema and
  c1.tabname = jc.tabname and
  c1.colname = jc.colname
  )
;

insert into rpi.strings (name, type, text)
select distinct
  jc.ssname as name,
  'Qfromline' as type,
  rtrim(jc.schema) concat '.' concat
  rtrim(jc.tabname)
FROM
  RPI.ss_joincols jc
;
