------------------------------------------------------------------------
--
-- Tivoli Enterprise Data Warehouse, v 1.1.0
-- (C) Copyright IBM Corp. 2002.  All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
--
--
------------------------------------------------------------------------
--
-- File Information: src/rpi/sql/rpi_export3_process.sql, twh_rpi, twh_1.1_fp1
--
-- Revision: 1.4
--
-- Date: 5/24/02 11:53:58
------------------------------------------------------------------------

-- insert data into RPI.RELATIONSHIP
insert into RPI.RELATIONSHIP (
  REL_TYPE,
  SOURCE_ID,
  TARGET_ID)
(select
  'SchemaToDatamart',
  I.IWHID,
  R.DATAMART_ID
from RPI.RPI_INSTALL_TMP T,
  IWH.STARSCHEMA I,
  RPI.DATAMART R
where I.NAME = T.SOURCE_NAME
  AND R.DATAMART_NAME = T.TARGET_NAME
  AND T.REL_TYPE = 'SchemaToDatamart'
  AND not exists (
  SELECT 1 from RPI.RELATIONSHIP R
     WHERE R.REL_TYPE = 'SchemaToDatamart'
     AND R.SOURCE_ID = I.IWHID
     AND R.TARGET_ID = R.DATAMART_ID)
);

insert into RPI.RELATIONSHIP (
  REL_TYPE,
  SOURCE_ID,
  TARGET_ID)
(select distinct
  'UGroupToDatamart',
  U.UGROUP_ID,
  D.DATAMART_ID
from RPI.RPI_INSTALL_TMP T,
  RPI.USERGROUP U,
  RPI.DATAMART D
where T.TARGET_NAME = D.DATAMART_NAME
   and T.REL_TYPE = 'SchemaToDatamart'
   and U.UGROUP_NAME = 'TWHAdmin'
   AND not exists (
  SELECT 1 from RPI.RELATIONSHIP R
     WHERE R.REL_TYPE = 'UGroupToDatamart'
     AND R.SOURCE_ID = U.UGROUP_ID
     AND R.TARGET_ID = D.DATAMART_ID)
);

-- insert data into RPI.RELATIONSHIP
insert into RPI.RELATIONSHIP (
  REL_TYPE,
  SOURCE_ID,
  TARGET_ID)
(select
  'ReportToStarSchema',
  R.REPORT_ID,
  I.IWHID
from RPI.RPI_INSTALL_TMP T,
  IWH.STARSCHEMA I,
  RPI.REPORT R
where I.NAME = T.TARGET_NAME
  AND R.REPORT_NAME = T.SOURCE_NAME
  AND T.REL_TYPE = 'ReportToStarSchema'
  AND not exists (
  SELECT 1 from RPI.RELATIONSHIP REL
     WHERE REL.REL_TYPE = 'ReportToStarSchema'
     AND REL.SOURCE_ID = R.REPORT_ID
     AND REL.TARGET_ID = I.IWHID)
);
