@echo off
REM  ######################################################
REM  Licensed Materials - Property of IBM
REM  Tivoli Enterprise Data Warehouse, v 1.1.1 
REM  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
REM
REM  US Government Users Restricted Rights - Use, duplication or
REM  disclosure restricted by GSA ADP Schedule Contract with
REM  IBM Corp. 
REM
REM  ######################################################
REM  File Information: src/install/patch/setup.bat, twh_core, twh_1.1_fp1
REM
REM  Revision: 1.3
REM
REM  Date: 5/7/02 11:27:40
REM  ######################################################
REM  Core Patch Launcher program
REM 
cls


REM  Check on the required env var
if "%TWH_TOPDIR%" == "" goto topdir_error

REM Check for TEMP env var
if "%TEMP%" == "" goto temp_env_error

REM Set our path to include the installed tools
set P_HOLDER=%PATH%
set PATH=%TWH_TOPDIR%\tools\bin;%PATH%;.

REM Set local log directory for install run
set INST_WIN_LOGDIR=%TEMP%


REM Passed Args
set arg_1=%1
set arg_2=%2
set arg_3=%3
set cfgfile=%TEMP%/twh_core_patcher.cfg


REM Set default config file
if "%1" == "" goto gen_cfgfile


REM Execute the patch engine
REM
:exec_prog
bash "generic\install\bin\twh_core_patcher.sh" %arg_1% %arg_2% %arg_3% 2>&1 | tee "%TEMP%/twh_install_v1.1.1.log"

REM Local debug setup
REM echo  !! Using coding program location !!"
REM bash "F:\patch_code\twh_core_patcher.sh" %arg_1% %arg_2% %arg_3%

goto getout


:gen_cfgfile
if exist %cfgfile% goto set_default
bash "generic\install\bin\twh_create_cfg_file.sh" %cfgfile%

goto getout

REM setup the config file options
:set_default
set arg_1=-c
set arg_2=%cfgfile%

goto exec_prog


:topdir_error
echo.
echo.
echo    !! Error - TWH_TOPDIR Environment variable not defined.
echo       Install program requires the TWH_TOPDIR environment variable to exist
echo.
echo    Exiting...
sleep 2
goto getout

:temp_env_error
echo.
echo.
echo    !! Error - TEMP Environment variable not defined.
echo       Install program requires the TEMP environment variable to write the install log to.
echo.
echo    Exiting...
sleep 2
goto getout

:getout
REM Restore path
set PATH=%P_HOLDER%

REM Wait a second incase they use the mouse
sleep 10
echo.
echo.
