#!/bin/sh
#-----------------------------------------------------------------------
#
# Tivoli Enterprise Data Warehouse, v 1.1.1 
# (C) Copyright IBM Corp. 2002.  All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
#
#
#-----------------------------------------------------------------------
# File Information: src/install/patch/setup_unix.sh, twh_core, twh_1.1_fp1, 20020625C
#
# Revision: 1.4
#
# Date: 7/29/02 17:10:26
#-----------------------------------------------------------------------
#
# Desc:	This program will launch the TWH Core patching main program.
#
# Interpreter Required:
#	NT/2000 	= BASH
#	Unix		= SH (Bourne Shell)
#
#
#########################################################################
#
clear

# Parsed config file
cfgfile=/tmp/twh_core_patcher.cfg


# Setup path
if [ -z "$TWH_TOPDIR" ]; then
  echo "   !! Error - Could not locate environment variable TWH_TOPDIR !!"
  echo ""
  echo "      Exiting..."
  exit 1
fi

# Setup tmp space for this install log
if [ ! -d "/tmp" -a ! -w "/tmp" ]; then
  echo " !! Error - /tmp directory not found/writeable."
  echo " Install program requires the TEMP environment variable to write the"
  echo " install log to."
  exit 1
fi


orig_path="$PATH"
PATH="$TWH_TOPDIR/tools/bin:$PATH"; export PATH


# Set default config file if not provided
if [ "$1" = "" ]; then
  # ? do we need to make the config file?
  if [ ! -r "$cfgfile" ]; then
    generic/install/bin/twh_create_cfg_file.sh $cfgfile
    exit 0		# exit so they can edit the config file
  fi
  arg_1=-c
  arg_2=$cfgfile
  arg_3=""
else
  arg_1=$1
  arg_2=$2
  arg_3=$3
fi


# Pass on the log to check
INST_UNIX_LOGDIR=/tmp/twh_install_v1.1.1.log; export INST_UNIX_LOGDIR


# Exec program
generic/install/bin/twh_core_patcher.sh $arg_1 $arg_2 $arg_3 | tee /tmp/twh_install_v1.1.1.log


# Set path back
PATH="$orig_path"; export PATH


exit 0
